﻿
using System.Reflection;

namespace Oryon.Extensions.Reflection
{
    /// <summary>
    /// Simple Type summary container
    /// </summary>
    public class TypePropertyInfo
    {
        /// <summary>
        /// Property Name
        /// </summary>
        public string PropertyName { get; set; }

        /// <summary>
        /// Container Type Name
        /// </summary>
        public string TypeName { get; set; }

        /// <summary>
        /// Container assembly of type
        /// </summary>
        public Assembly Container { get; set; }
    }
}
